Name:		glabels
Version:	2.0.4
Release:	7%{?dist}
Summary:	A program for creating labels and business cards for GNOME

Group:		Applications/Publishing
License:	GPLv2+
URL:		http://glabels.sf.net

Source0:	http://dl.sf.net/%{name}/%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	libglade2-devel >= 2.0.1
BuildRequires:	libgnomeprintui22-devel
BuildRequires:	libgnomeui-devel >= 2.0 
BuildRequires:	perl(XML::Parser)
BuildRequires:	scrollkeeper

Requires(post):	desktop-file-utils
Requires(post):	/sbin/ldconfig
Requires(post):	shared-mime-info

Requires(postun):	desktop-file-utils
Requires(postun):	/sbin/ldconfig
Requires(postun):	shared-mime-info

Requires:	%{name}-libs = %{version}-%{release}
Requires:	%{name}-doc = %{version}-%{release}
	

%description
gLabels is a lightweight program for creating labels and
business cards for the GNOME desktop environment.
It is designed to work with various laser/ink-jet peel-off
label and business card sheets that you'll find at most office
supply stores.


%package	devel
Summary:	Development files and documentation for %{name}
License:	LGPLv2+
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description	devel
This package contains the header files and development documentation for
libglabels. 


%package 	libs
License:	LGPLv2+
Summary:	Development files and documentation for %{name}
Group:		Development/Libraries

%description	libs
This package contains the shared libraries for %{name}. 


%package 	doc
License:	GFDLv1.1+
Summary:	Runtime documentation for %{name}
Group:		Development/Libraries
Requires(post):	scrollkeeper
Requires(postun):	scrollkeeper

%description	doc
This package contains the runtime documentation and manual pages for %{name}. 


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
## UPDATE_DESKTOP_DATABASE and UPDATE_MIME_DATABASE are set to /bin/true
## to prevent them from being run as part of the build scripts (which fail
## when installing to rooted filesystem). These are handled through the %%post
## and %%postun scriptlets, instead.
make install DESTDIR=%{buildroot}		\
	UPDATE_DESKTOP_DATABASE=/bin/true	\
	UPDATE_MIME_DATABASE=/bin/true
desktop-file-install					\
	--vendor=fedora					\
	--dir %{buildroot}%{_datadir}/applications	\
	--delete-original				\
	%{buildroot}%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%post
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null ||:

%postun
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null ||:


%post	libs -p /sbin/ldconfig

%postun	libs -p /sbin/ldconfig


%post	doc
scrollkeeper-update -q -o %{_datadir}/omf/%{name} ||:

%postun	doc
scrollkeeper-update -q ||:



%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/glabels*
%{_datadir}/application-registry/glabels.applications
%{_datadir}/applications/fedora-glabels.desktop
%{_datadir}/glabels/
%{_datadir}/mime/packages/glabels.xml
%{_datadir}/mime-info/glabels.*
%{_datadir}/pixmaps/glabels/
%{_datadir}/pixmaps/glabels*.png

%files	devel
%defattr(-,root,root,-)
%doc AUTHORS COPYING.LIBGLABELS
%exclude %{_libdir}/libglabels.la
%exclude %{_libdir}/libglabels.a
%{_includedir}/libglabels/
%{_libdir}/libglabels.so

%files	libs
%defattr(-,root,root,-)
%doc AUTHORS COPYING.LIBGLABELS
%{_libdir}/libglabels.so.*

%files	doc
%defattr(-,root,root,-)
## Manual ("man") pages are automatically marked as %%doc by RPM. 
%doc AUTHORS COPYING-DOCS
%{_datadir}/gnome/help/glabels/
%{_datadir}/omf/glabels/
%{_mandir}/man?/glabels.*



%changelog
* Tue Aug 21 2007 Peter Gordon <peter@thecodergeek.com> - 2.0.4-7
- Rebuild with new BuildID-enabled binutils. 

* Fri Aug 03 2007 Peter Gordon <peter@thecodergeek.com> - 2.0.4-6
- Update License tagging (GPLv2+). This necessitates a split of two
  subpackages:
  (1) glabels-doc: Runtime documentation for gLabels (GFDLv1.1+)
  (2) glabels-libs: Shared libraries for gLabels (LGPLv2+)
- Fix version in previous %%changelog entry.
- Lots and lots of aesthetic spec file changes.
- Remove X-Fedora category from desktop-file-install invocation.
- Add TODO to installed %%doc files. 

* Sun Aug 27 2006 Peter Gordon <peter@thecodergeek.com> - 2.0.4-5
- Add BR: perl(XML::Parser)
 
* Sun Aug 27 2006 Peter Gordon <peter@thecodergeek.com> - 2.0.4-4
- Mass FC6 rebuild

* Wed Jul 05 2006 Peter Gordon <peter@thecodergeek.com> - 2.0.4-3
- Add BuildRequires: gettext (#197633)

* Sat Feb 18 2006 Jef Spaleta <jspaleta@gmail.com> - 2.0.4-2
- Bump for fe5 rebuild 

* Sat Jan 01 2006 Jef Spaleta <jspaleta@gmail.com> - 2.0.4-1
- Update to new stable upstream version

* Thu Aug 18 2005 Jef Spaleta <jspaleta@gmail.com> - 2.0.3-3
- rebuild

* Thu Jul 7 2005 Jef Spaleta <jspaleta@gmail.com> - 2.0.3-2
- use Source0

* Mon Jul 5 2005 Jef Spaleta <jspaleta@gmail.com> - 2.0.3-1
- Initial fedora extras build

